Bug 94662 - Clicking on one table of contents jumps to the other one in master document
Summary: Clicking on one table of contents jumps to the other one in master document
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Master-Doc
  Show dependency treegraph
 
Reported: 2015-10-01 10:17 UTC by Milan Bouchet-Valat
Modified: 2019-05-14 02:57 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
ODM master document to reproduce the problem (14.33 KB, application/vnd.oasis.opendocument.text-master)
2015-10-01 10:17 UTC, Milan Bouchet-Valat
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Milan Bouchet-Valat 2015-10-01 10:17:23 UTC
Created attachment 119163 [details]
ODM master document to reproduce the problem

In the attached master document, if you double-click twice on the first table of contents ("Sommaire"), the view goes to the second one ("Table des matières"). If you double-click on it again, you go to the first one ("Sommaire").

What is worse, sometimes, the first double-click on the first table of contents makes you go the second one. I'm not sure when it happens, but it's likely related to the former behavior.
Comment 1 Buovjaga 2015-10-05 17:42:29 UTC
Well, the first double-click goes to Sommaire, but subsequent double-clicks on Sommaire just switch back and forth between the two ToCs.

Win 7 Pro 64-bit, Version: 5.0.2.2 (x64)
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: fi-FI (fi_FI)

Version: 5.1.0.0.alpha1+
Build ID: 25de5cfa43b2b1cb7d7214470acc7719839e13fe
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-01_08:49:54
Locale: en-US (fi_FI)
Comment 2 QA Administrators 2016-11-08 11:30:27 UTC Comment hidden (obsolete)
Comment 3 Milan Bouchet-Valat 2016-11-10 22:17:45 UTC
Still present in LO 5.2.
Comment 4 QA Administrators 2018-05-13 02:31:00 UTC Comment hidden (obsolete)
Comment 5 Milan Bouchet-Valat 2018-05-13 16:10:34 UTC
Still present in 6.0.3.2.
Comment 6 QA Administrators 2019-05-14 02:57:08 UTC
Dear Milan Bouchet-Valat,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug